Add special stdout for hClose002 on x64 Solaris
ClosedPublic

Authored by oddsignals on Sep 10 2014, 3:11 PM.

Details

Summary

This is identical to the x86 output from bug Trac #4290,
and fixes the hClose002 test when running under
x86_64-unknown-solaris2.

Test Plan

Re-run 'make TEST=hClose002' under x64 Solaris.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Lint Skipped
Unit
Unit Tests Skipped
oddsignals updated this revision to Diff 521.Sep 10 2014, 3:11 PM
oddsignals retitled this revision from to Add special stdout for hClose002 on x64 Solaris.
oddsignals updated this object.
oddsignals edited the test plan for this revision. (Show Details)
ezyang accepted this revision.Sep 11 2014, 12:13 PM
ezyang added a reviewer: ezyang.

It's a bit irritating that we can't just remove -i386 from the filename of the existing test and have it work.

austin accepted this revision.Sep 15 2014, 8:11 AM
austin edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Sep 15 2014, 8:11 AM
austin closed this revision.Sep 16 2014, 7:58 AM
austin updated this revision to Diff 547.

Closed by commit rGHCcdf5a1c953c4 (authored by @oddsignals, committed by @austin).